{
  "compileOnSave": false,
  "compilerOptions": {
    "rootDir": ".",
    "sourceMap": true,
    "declaration": false,
    "moduleResolution": "bundler",
    "emitDecoratorMetadata": true,
    "experimentalDecorators": true,
    "importHelpers": true,
    "resolveJsonModule": true,
    "target": "ES2022",
    "module": "ESNext",
    "lib": ["ES2022", "dom"],
    "skipLibCheck": true,
    "skipDefaultLibCheck": true,
    "baseUrl": ".",
    "strict": true,
    "jsx": "react-jsx",
    "paths": {
      "@ema-platform/shared": ["libs/shared/src/index.ts"],
      "@ema-platform/ui": ["libs/ui/src/index.ts"],
      "@ema-platform/api": ["libs/api/src/index.ts"],
      "@ema-platform/auth": ["libs/auth/src/index.ts"]
    }
  },
  "exclude": ["node_modules", "tmp"]
}
